FLANG

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Fortran::semantics::AttrsVisitor Class Reference
Inheritance diagram for Fortran::semantics::AttrsVisitor:

## Public Member Functions
bool | BeginAttrs ()
Attrs | GetAttrs ()
Attrs | EndAttrs ()
bool | SetPassNameOn (Symbol &)
bool | SetBindNameOn (Symbol &)
void | Post (const parser::LanguageBindingSpec &)
bool | Pre (const parser::IntentSpec &)
bool | Pre (const parser::Pass &)
bool | CheckAndSet (Attr)
Public Member Functions inherited from Fortran::semantics::BaseVisitor
| BaseVisitor (SemanticsContext &c, ResolveNamesVisitor &v, ImplicitRulesMap &rules)
template<typename T >
void | Walk (const T &)
MessageHandler & | messageHandler ()
const std::optional< SourceName > & | currStmtSource ()
SemanticsContext & | context () const
evaluate::FoldingContext & | GetFoldingContext () const
void | MakePlaceholder (const parser::Name &, MiscDetails::Kind)
template<typename T >
common::IfNoLvalue< T, T > | FoldExpr (T &&expr)
template<typename T >
MaybeExpr | EvaluateExpr (const T &expr)
template<typename T >
MaybeExpr | EvaluateConvertedExpr (const Symbol &symbol, const T &expr, parser::CharBlock source)
template<typename T >
MaybeIntExpr | EvaluateIntExpr (const T &expr)
template<typename T >
MaybeSubscriptIntExpr | EvaluateSubscriptIntExpr (const T &expr)
template<typename... A>
Message & | Say (A &&... args)
template<typename... A>
Message & | Say (const parser::Name &name, MessageFixedText &&text, const A &... args)

## Protected Member Functions
Attr | AccessSpecToAttr (const parser::AccessSpec &x)
Attr | IntentSpecToAttr (const parser::IntentSpec &x)

## Protected Attributes
std::optional< Attrs > | attrs_
Protected Attributes inherited from Fortran::semantics::BaseVisitor
ImplicitRulesMap * | implicitRulesMap_ {nullptr}

The documentation for this class was generated from the following file:

- lib/Semantics/resolve-names.cpp